require 'cocoapods-extension/sandbox'

module Pod
    class Command
        class Dev < Command
            class Update < Dev

                self.summary = 'Update development environment.'
                self.description = 'Update development environment.'

                def initialize(argv)
                    super
                end

                def run

                    begin
                        UI.puts "Updating development environment."
                        Pod::Extension::Sandbox::update!
                        UI.puts "Development environment updated complete!".green
                    rescue => exception
                        puts "[!] #{exception}".red
                    end

                end

            end
        end
    end
end