require 'cocoapods-extension/development'

module Pod
    class Podfile
        module DSL

            old_method = instance_method(:pod)
            define_method(:pod) do |name, *requirements|
                development = Pod::Extension::Development::development
                options = requirements.last
                options = options.is_a?(Hash) ? options : Hash.new;
                path = options[:path]
                if path.nil? && development.runing? && !development.pods_list?.nil? && !development.source_list?.nil?
                    share = development.pods_list?[name]
                    source = development.source_list?[name]
                    if !share.nil? && !source.nil?
                        url = development.pod! name, source, share
                        old_method.bind(self).(name, :path => url)
                    elsif !share.nil? && source.nil?
                        UI.puts "not configured to #{name} git source.".yellow
                        old_method.bind(self).(name, *requirements)
                    else
                        old_method.bind(self).(name, *requirements)
                    end
                else
                    old_method.bind(self).(name, *requirements)
                end
            end

        end
    end
end